      SUBROUTINE lvlvek(jacA,jacNEDEPI,jacNEDZAR,jacLV1,jacLV2,jacLV3)
c Spisal Jure Ravnik
c Januar 2001

c deklaracije za jacobi
      REAL jacA(3,3),jacD(3),jacV(3,3),jacPROJ(3)
      INTEGER jacNROT,i
      REAL jacNAJP, jacNAJLV, jacNEDEPI, jacNEDZAR
      REAL jacLV1, jacLV2, jacLV3

c January 2001
c Compute eigenvectors and eigenvalues
c After Numerical Recipies Chapter 11.1
c Ker je ATAS simetricna realna matrika lahko
c uporabim jacobi.
c potrebujem jacA(3,3) - to je matrika,
c ki definira elipsoid Vzamem iz ataS 9 clenov
c spodaj desno!
c jacD vsebuje lastne vrednosti
c jacV pa lastne vrednosti      
c Za n=np=3
c jacNROT je stevilo potrebnih rotacij


c zazenem Jacobi
        call Jacobi(jacA,3,3,jacD,jacV,jacNROT)

c Tu je sedaj potrebno pogruntati, katera polos ima najvecjo
c projekcijo na horizontalno ravnino
c to je kar lvred*Sqrt(lastvekX**2 + lastveky**2)        
c dolzina lastnega vektorja je 1 torej je
c cos kota polos horizontalna ravnina kar Sqrt(lvx**2+lvy*2)
c projekcije jacPROJ so torej ...
c mimogrede poiscem se najvecjo projekcijo jacNAJP
c in najvecjo lastno vrednost jacNAJLV(za ned zarisca)        
        jacNAJP=-100
        jacNAJLV=-100

        if (jacD(1) .LT. 0) jacD(1)=9998*9998
        if (jacD(2) .LT. 0) jacD(2)=9998*9998
        if (jacD(3) .LT. 0) jacD(3)=9998*9998

        do 262 i=1,3
          jacPROJ(i)=jacD(i)*Sqrt(jacV(i,1)**2+jacV(i,2)**2)
          if (jacPROJ(i) .GT. jacNAJP) jacNAJP=jacPROJ(i)
          if (jacD(i) .GT. jacNAJLV) jacNAJLV=jacD(i)
262     continue

c koren iz najvecje projekcije proglasim za nedolocenost epicentra
        jacNEDEPI=Sqrt(jacNAJP)
c koren iz najvecje lastne vrednosti pa je nedolocenost zarisca
        jacNEDZAR=Sqrt(jacNAJLV)
c koreni iz lastnih vrednosti
        jacLV1=Sqrt(jacD(1))
        jacLV2=Sqrt(jacD(2))
        jacLV3=Sqrt(jacD(3))


c izpisi LV
c        print *,'Lvred ',jacD(1),jacD(2),jacD(3),jacNROT
c        print *,'KiyLV ',jacLV1,jacLV2,jacLV3
c        print *,'Proj  ',jacPROJ(1),jacPROJ(2),jacPROJ(3)
c        print *,'NajP  ',jacNAJP,jacNEDEPI
c        Print *,'Zaris ',jacNAJLV,jacNEDZAR


c konec izracuna lastnih vrednosti      
        Return
        END
